<h1 id="aseprite">Aseprite</h1>
<p><a href="https://travis-ci.org/aseprite/aseprite"><img src="https://travis-ci.org/aseprite/aseprite.svg" alt="Build Status" /></a> <a href="https://ci.appveyor.com/project/dacap/aseprite"><img src="https://ci.appveyor.com/api/projects/status/kdu2gt7ls014i25h?svg=true" alt="Build status" /></a> <a href="https://community.aseprite.org/"><img src="https://img.shields.io/badge/discourse-community-brightgreen.svg?style=flat" alt="Discourse Community" /></a> <a href="https://discord.gg/Yb2CeX8"><img src="https://discordapp.com/api/guilds/324979738533822464/embed.png" alt="Discord Server" /></a></p>
<h2 id="introduction">Introduction</h2>
<p><strong>Aseprite</strong> is a program to create animated sprites. Its main features are:</p>
<ul>
<li>Sprites are composed of <a href="https://www.aseprite.org/docs/timeline/">layers &amp; frames</a> as separated concepts.</li>
<li>Support for <a href="https://www.aseprite.org/docs/color-profile/">color profiles</a> and different <a href="https://www.aseprite.org/docs/color-mode/">color modes</a>: RGBA, Indexed (palettes up to 256 colors), Grayscale.</li>
<li><a href="https://www.aseprite.org/docs/animation/">Animation facilities</a>, with real-time <a href="https://www.aseprite.org/docs/preview-window/">preview</a> and <a href="https://www.aseprite.org/docs/onion-skinning/">onion skinning</a>.</li>
<li><a href="https://www.aseprite.org/docs/exporting/">Export/import</a> animations to/from <a href="https://www.aseprite.org/docs/sprite-sheet/">sprite sheets</a>, GIF files, or sequence of PNG files (and FLC, FLI, JPG, BMP, PCX, TGA).</li>
<li><a href="https://www.aseprite.org/docs/workspace/#drag-and-drop-tabs">Multiple editors</a> support.</li>
<li><a href="https://imgur.com/x3OKkGj">Layer groups</a> for organizing your work, and <a href="https://twitter.com/aseprite/status/806889204601016325">reference layers</a> for rotoscoping.</li>
<li>Pixel-art specific tools like <a href="https://imgur.com/0fdlNau">Pixel Perfect freehand mode</a>, <a href="https://www.aseprite.org/docs/shading/">Shading ink</a>, <a href="https://twitter.com/aseprite/status/1196883990080344067">Custom Brushes</a>, <a href="https://twitter.com/aseprite/status/1126548469865431041">Outlines</a>, <a href="https://imgur.com/1yZKUcs">Wide Pixels</a>, etc.</li>
<li>Other special drawing tools like <a href="https://twitter.com/aseprite/status/1253770784708886533">Pressure sensitivity</a>, <a href="https://twitter.com/aseprite/status/659709226747625472">Symmetry Tool</a>, <a href="https://imgur.com/7JZQ81o">Stroke and Fill</a> selection, <a href="https://twitter.com/aseprite/status/1126549217856622597">Gradients</a>.</li>
<li><a href="https://twitter.com/pixel__toast/status/1132079817736695808">Tiled mode</a> useful to draw patterns and textures.</li>
<li><a href="https://twitter.com/aseprite/status/1170007034651172866">Transform multiple frames/layers</a> at the same time.</li>
<li><a href="https://www.aseprite.org/docs/scripting/">Lua scripting capabilities</a>.</li>
<li><a href="https://www.aseprite.org/docs/cli/">CLI - Command Line Interface</a> to automatize tasks.</li>
<li><a href="https://www.aseprite.org/quickref/">Quick Reference / Cheat Sheet</a> keyboard shortcuts (<a href="https://imgur.com/rvAUxyF">customizable keys</a> and <a href="https://imgur.com/oNqFqVb">mouse wheel</a>).</li>
<li><a href="https://twitter.com/aseprite/status/1202641475256881153">Reopen closed files</a> and <a href="https://www.aseprite.org/docs/data-recovery/">recover data</a> in case of crash.</li>
<li>Undo/Redo for every operation and support for <a href="https://imgur.com/9I42fZK">non-linear undo</a>.</li>
<li><a href="https://twitter.com/aseprite/status/1124442198651678720">More features &amp; tips</a></li>
</ul>
<h2 id="issues">Issues</h2>
<p>There is a list of <a href="https://github.com/aseprite/aseprite/issues">Known Issues</a> (things to be fixed or that aren’t yet implemented).</p>
<p>If you found a bug or have a new idea/feature for the program, <a href="https://github.com/aseprite/aseprite/issues/new">you can report them</a>.</p>
<h2 id="support">Support</h2>
<p>You can ask for help in:</p>
<ul>
<li><a href="https://community.aseprite.org/">Aseprite Community</a></li>
<li><a href="https://discord.gg/Yb2CeX8">Aseprite Discord Server</a></li>
<li>Official support: <a href="mailto:support@aseprite.org">support@aseprite.org</a></li>
<li>Social networks and community-driven places: <a href="https://twitter.com/aseprite/">Twitter</a>, <a href="https://facebook.com/aseprite/">Facebook</a>, <a href="https://www.youtube.com/user/aseprite">YouTube</a>, <a href="https://www.instagram.com/aseprite/">Instagram</a>.</li>
</ul>
<h2 id="authors">Authors</h2>
<p><a href="https://www.igarastudio.com/">Igara Studio</a> is developing Aseprite:</p>
<ul>
<li><a href="https://davidcapello.com/">David Capello</a>: Lead developer, fixing issues, new features, and user support.</li>
<li><a href="https://github.com/Gasparoken">Gaspar Capello</a>: Developer, fixing issues and new features.</li>
</ul>
<h2 id="credits">Credits</h2>
<p>The default Aseprite theme was introduced in v0.8, created by:</p>
<ul>
<li><a href="https://ilkke.net/">Ilija Melentijevic</a></li>
</ul>
<p>Aseprite includes color palettes created by:</p>
<ul>
<li><a href="http://pixeljoint.com/p/23821.htm">Richard “DawnBringer” Fhager</a>, <a href="http://pixeljoint.com/forum/forum_posts.asp?TID=12795">16 colors</a>, <a href="http://pixeljoint.com/forum/forum_posts.asp?TID=16247">32 colors</a>.</li>
<li><a href="http://androidarts.com/">Arne Niklas Jansson</a>, <a href="http://androidarts.com/palette/16pal.htm">16 colors</a>, <a href="http://wayofthepixel.net/index.php?topic=15824.msg144494">32 colors</a>.</li>
<li><a href="https://twitter.com/ENDESGA">ENDESGA Studios</a>, <a href="https://forums.tigsource.com/index.php?topic=46126.msg1279124#msg1279124">EDG16 and EDG32</a>, and <a href="https://twitter.com/ENDESGA/status/865812366931353600">other palettes</a>.</li>
<li><a href="https://twitter.com/Hyohnoo">Hyohnoo Games</a>, <a href="https://twitter.com/Hyohnoo/status/797472587974639616">mail24</a> palette.</li>
<li><a href="https://twitter.com/DavitMasia">Davit Masia</a>, <a href="https://twitter.com/DavitMasia/status/834862452164612096">matriax8c</a> palette.</li>
<li><a href="https://twitter.com/Xavier_Gd">Javier Guerrero</a>, <a href="https://twitter.com/Xavier_Gd/status/868519467864686594">nyx8</a> palette.</li>
<li><a href="https://twitter.com/adigunpolack">Adigun A. Polack</a>, <a href="http://pixeljoint.com/pixelart/119466.htm">AAP-64</a>, <a href="http://pixeljoint.com/pixelart/120714.htm">AAP-Splendor128</a>, <a href="http://pixeljoint.com/pixelart/119844.htm">SimpleJPC-16</a>, and <a href="http://pixeljoint.com/pixelart/121151.htm">AAP-Micro12</a> palette.</li>
<li><a href="https://twitter.com/PineTreePizza">PineTreePizza</a>, <a href="https://twitter.com/PineTreePizza/status/1006536191955623938">Rosy-42</a> palette.</li>
</ul>
<p>It tries to replicate some pixel-art algorithms:</p>
<ul>
<li><a href="http://forums.sonicretro.org/index.php?showtopic=8848&amp;st=15&amp;p=159754&amp;#entry159754">RotSprite</a> by Xenowhirl.</li>
<li><a href="https://deepnight.net/blog/tools/pixel-perfect-drawing/">Pixel perfect drawing algorithm</a> by <a href="https://twitter.com/deepnightfr">Sébastien Bénard</a> and <a href="https://twitter.com/CarduusHimself/status/420554200737935361">Carduus</a>.</li>
</ul>
<p>Thanks to <a href="docs/LICENSES.md">third-party open source projects</a>, to <a href="https://www.aseprite.org/contributors/">contributors</a>, and all the people who have contributed ideas, patches, bugs report, feature requests, donations, and help me to develop Aseprite.</p>
<h2 id="license">License</h2>
<p>This program is distributed under three different licenses:</p>
<ol type="1">
<li>Source code and official releases/binaries are distributed under our <a href="EULA.txt">End-User License Agreement for Aseprite (EULA)</a>. Please check that there are <a href="src/README.md">modules/libraries in the source code</a> that are distributed under the MIT license (e.g. <a href="https://github.com/aseprite/laf">laf</a>, <a href="https://github.com/aseprite/clip">clip</a>, <a href="https://github.com/aseprite/undo">undo</a>, <a href="https://github.com/aseprite/observable">observable</a>, <a href="src/ui">ui</a>, etc.).</li>
<li>You can request a special <a href="https://www.aseprite.org/faq/#is-there-an-educational-license">educational license</a> in case you are a teacher in an educational institution and want to use Aseprite in your classroom (in-situ).</li>
<li>Steam releases are distributed under the terms of the <a href="http://store.steampowered.com/subscriber_agreement/">Steam Subscriber Agreement</a>.</li>
</ol>
<p>You can get more information about Aseprite license in the <a href="https://www.aseprite.org/faq/#licensing-&amp;-commercial">FAQ</a>.</p>
